summaryrefslogtreecommitdiff
path: root/meta-google/recipes-google/networking/network-sh
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2023-04-14 17:00:05 +0300
committerPatrick Williams <patrick@stwcx.xyz>2023-04-14 19:27:12 +0300
commit62ac9d5e03bbe0744eeb54075713a726e5ac81f0 (patch)
treee808e17318d3a6789bb7ae584ba50ce290de752a /meta-google/recipes-google/networking/network-sh
parent588267188c50be4bd3dd9f4b23e777705d91dd27 (diff)
downloadopenbmc-62ac9d5e03bbe0744eeb54075713a726e5ac81f0.tar.xz
meta-google: networking: fix shellcheck warnings
Signed-off-by: Patrick Williams <patrick@stwcx.xyz> Change-Id: I7ae5c315d5a938b29c6fd5d68f07225d125ccead
Diffstat (limited to 'meta-google/recipes-google/networking/network-sh')
-rw-r--r--meta-google/recipes-google/networking/network-sh/lib.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/meta-google/recipes-google/networking/network-sh/lib.sh b/meta-google/recipes-google/networking/network-sh/lib.sh
index e4acc673b8..1d217c23f9 100644
--- a/meta-google/recipes-google/networking/network-sh/lib.sh
+++ b/meta-google/recipes-google/networking/network-sh/lib.sh
@@ -289,6 +289,7 @@ normalize_ip() {
}
network_init=1
-return 0 2>/dev/null
-echo "network is a library, not executed directly" >&2
-exit 1
+if ! (return 0 2>/dev/null); then
+ echo "network is a library, not executed directly" >&2
+ exit 1
+fi